Package Details: gnome-shell-pomodoro 0.19.1-1

Git Clone URL: https://aur.archlinux.org/gnome-shell-pomodoro.git (read-only, click to copy)
Package Base: gnome-shell-pomodoro
Description: A time management utility for GNOME based on the pomodoro technique
Upstream URL: https://github.com/gnome-pomodoro/gnome-pomodoro
Keywords: gnome management pomodoro time
Licenses: GPL3
Submitter: haaja
Maintainer: liamtimms
Last Packager: liamtimms
Votes: 103
Popularity: 2.80
First Submitted: 2014-01-11 17:23
Last Updated: 2021-04-09 20:23

Pinned Comments

liamtimms commented on 2021-03-26 01:05

With GNOME 40 hitting any day now (currently in staging), expect some problems with this package. I will update it as soon as upstream releases a new version but it may get borked for a little while. This is common with new GNOME releases and this particular release has more changes than usual. First week or so could be a little rough if you use a lot of extensions.

edit: it's been updated but there's a mistake upstream in 40 compatibility for this release. Expect a new release soon addressing this.

edit 2: rolled out to GNOME 40.

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 9 10 Next › Last »

Ikshvaku commented on 2018-12-18 16:35

Hello, when trying to use this application it freezes as soon as it opens. Anyone else having this issue? Any ideas how to fix?

MarcinWieczorek commented on 2018-10-31 23:26

Create one if you want

mfw78 commented on 2018-10-31 01:59

Upstream head source has bug fixes for the VALA compile issue, with compile from git head confirmed working on Archlinux. Given lack of recent release from upstream, perhaps can make a git version of this package?

IacopoDeeNosee commented on 2018-10-28 10:29

not works on GS 3.30.1 [arch]:

codeMaking all in sounds make[3]: ingresso nella directory "/tmp/trizen-ivano/gnome-shell-pomodoro/src/gnome-pomodoro-0.13.4/plugins/sounds" GEN resources.c git.mk: Generating .gitignore make all-am make[4]: ingresso nella directory "/tmp/trizen-ivano/gnome-shell-pomodoro/src/gnome-pomodoro-0.13.4/plugins/sounds" VALAC libsounds_la_vala.stamp sound-player.vala:130.9-130.33: error: Property `SoundsPlugin.GStreamerPlayer.volume_fade' with custom `get' accessor and/or `set' mutator cannot have `default' value public double volume_fade { ^^^^^^^^^^^^^^^^^^^^^^^^^ sound-player.vala:120.9-120.28: error: Property `SoundsPlugin.GStreamerPlayer.volume' with custom `get' accessor and/or `set' mutator cannot have `default' value public double volume {

all compile log is here -> https://pastebin.com/RQ8DaZnu

thearchlinuxuser commented on 2018-10-08 15:09

A guy in freenode in #archlinux tried to install this package but was unsuccessful. He got errors like this (from https://bpaste.net/show/94d013f58bb3): sound-player.vala:130.9-130.33: error: Property SoundsPlugin.GStreamerPlayer.volume_fade' with customget' accessor and/or set' mutator cannot havedefault' value public double volume_fade {

This PR seems to address this issue: https://github.com/codito/gnome-pomodoro/pull/370.

mgundogdu1 commented on 2017-04-21 07:49

Thanks. It works for me.

jurf commented on 2017-03-07 16:37

Has anyone managed to get this running with jhbuild installed? The deps are crashing for me on docbook-utils and docbook2x.

183.amir commented on 2017-01-10 20:56

Could you please update this package to its latest version?

Unia commented on 2016-09-17 22:33

upower and telepathy-glib are not dependencies of gnome-pomodoro.
perl-xml-sax-expat is a makedep, not a runtime dep.

Also, upstream changed the name to gnome-pomodoro, perhaps this package's named should be changed accordingly.

kamilprusko commented on 2016-06-22 16:54

There is new release which fixes the build error.

https://github.com/codito/gnome-pomodoro/blob/master/NEWS